<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.createOccurrence}">

<th:block layout:fragment="js-view">
    <script src="/webjars/inputmask/dist/jquery.inputmask.min.js"></script>
    <script src="/js/address/address-finder.js"></script>
    <script src="/js/occurrence/create.js"></script>
</th:block>

<th:block layout:fragment="css-view">
</th:block>

<div layout:fragment="content">
    <div class="container">
        <div class="alert alert-info mt-3">
        <i class="icon fas fa-info"></i> <span th:text="#{occurrence.create.reviewNotice}"></span>
    </div>
        <div class="card">
        <div class="card-body">
            <form action="/occurrence/create" enctype="multipart/form-data" id="occurrence-form" method="post">

                <th:block th:insert="occurrence/fragments/create-edit-form-fields :: formFields(isCreate=true)">
                </th:block>

                <th:block th:insert="address/fragments/create-edit-form-fields :: formFields(isCreate=true)">
                </th:block>

                <div class="card">
                    <div class="card-body">
                        <button id="submit-button" class="btn btn-primary float-right"
                                th:text="#{occurrence.form.submit}" type="submit">Criar
                        </button>
                        <a class="btn btn-danger float-left" th:href="@{/occurrence/list}"
                           th:text="#{occurrence.form.cancel}">Cancelar</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
    </div>
</div>

